CPANPLUS::Backend::RV(3)

NAME
CPANPLUS::Backend::RV

SYNOPSIS
    ### create a CPANPLUS::Backend::RV object
    $backend_rv     = CPANPLUS::Backend::RV->new(
                                ok          => $boolean,
                                args        => $args,
                                rv          => $return_value
                                function    => $calling_function );

    ### if you have a CPANPLUS::Backend::RV object
    $passed_args    = $backend_rv->args;    # args passed to function
    $ok             = $backend_rv->ok;      # boolean indication overall
                                            # result of the call
    $function       = $backend_rv->function # name of the calling
                                            # function
    $rv             = $backend_rv->rv       # the actual return value
                                            # of the calling function

DESCRIPTION
This module provides return value objects for multi-module calls to CPANPLUS::Backend. In boolean context, it returns the status of the overall result (ie, the same as the "ok" method would).

METHODS

  new( ok => BOOL, args => DATA, rv => DATA, [function => $method_name] )
Creates a new CPANPLUS::Backend::RV object from the data provided. This method should only be called by CPANPLUS::Backend functions. The accessors may be used by users inspecting an RV object.

All the argument names can be used as accessors later to retrieve the data.

Arguments:

ok  Boolean indicating overall success

args
    The arguments provided to the function that returned this rv object. Useful to inspect later to see what was actually passed to the function in case of an error.

rv  An arbitrary data structure that has the detailed return values of each of your multi-module calls.

function
    The name of the function that created this rv object. Can be explicitly passed. If not, "new()" will try to deduce the name from "caller()" information.

BUG REPORTS
Please report bugs or other issues to <bug-cpanplus@rt.cpan.org<gt>.

AUTHOR
This module by Jos Boumans <kane@cpan.org>.

COPYRIGHT
The CPAN++ interface (of which this module is a part of) is copyright (c) 2001 - 2007, Jos Boumans <kane@cpan.org>. All rights reserved.

This library is free software; you may redistribute and/or modify it under the same terms as Perl itself.